package com.qmth.teachcloud.common.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;

/**
 * @Description: 数组参数params
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/3/24
 */
public class ArraysParams implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "数组id")
    @NotEmpty(message = "id不能为空")
    Long[] ids;

    public ArraysParams() {

    }

    public ArraysParams(Long[] ids) {
        this.ids = ids;
    }

    public Long[] getIds() {
        return ids;
    }

    public void setIds(Long[] ids) {
        this.ids = ids;
    }
}
